import { axios } from '@/utils/request'

const api = {
  wisdomStaff: '/admin/wisdomStaff'
}

export function getWisdomStaffList (parameter) {
  return axios({
    url: api.wisdomStaff + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveWisdomStaff (parameter) {
  return axios({
    url: api.wisdomStaff + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delWisdomStaff (parameter) {
  return axios({
    url: api.wisdomStaff + '/remove',
    method: 'post',
    params: parameter
  })
}

export const wisdomStaffExport = api.wisdomStaff + '/export'
